@font-face {
  font-family: "GT-Alpina-Standard-Light";
  src: url("/assets/fonts/GT-Alpina-Standard-Light.woff") format("woff");
}

@font-face {
  font-family: "GT-Alpina-Standard-Regular";
  src: url("/assets/fonts/GT-Alpina-Standard-Regular.woff") format("woff");
}
@font-face {
  font-family: "GT-Flexa-Standard-Bold";
  src: url("/assets/fonts/GT-Flexa-Standard-Bold.woff") format("woff");
}

:root {
  --background-color: rgb(243, 242, 241);;
  --base-color:#1a1a1a;
  --light-grey:#b4b4b4;
  --padding-side:35px;
  --padding-top:35px;
  --indentation:60;


}

* {
  list-style: none;
  margin: 0;
  outline: none;
  padding: 0;
  text-decoration: none;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 12px;
  scroll-behavior: proximity;
  scroll-timeline: none;
    scroll-snap-type: y mandatory;
  overflow-y: auto;
  overscroll-behavior-y: none; /* Prevents bounce effects */
}

body {
  font-family: "GT-Alpina-Standard-Regular";
  color: var(--base-color);
  background: var(--background-color);
  height: 100%;
  text-rendering: optimizeLegibility;
  font-weight: bolder;
  margin: 0 35px;
  /* cursor: none; */
}
h1,h2,h3,h4{
  font-family: "GT-Flexa-Standard-Bold";
  line-height: 1em;
}

h1{
  font-size: 2.25rem;   /* 2em */
  line-height: 3.1rem;
}
.contactFooter a:hover{
  opacity: 0.3;
}
#cursor {
  position: fixed;
  pointer-events: none;
  font-size: 24px;
  transform: translate(-50%, -50%);
  z-index: 9999;
  mix-blend-mode: exclusion ;
  filter: invert(1);
}
::selection {
  background-color: #2e2e2e;
  color: #c7c7c7;
}

p{
  font-family: "GT-Alpina-Standard-Light";
  font-size: 2.4169rem;
  line-height: 2.6669rem;
  font-weight: 100;
}
.bulletPoints{
  margin: 2.8rem 0;
}
.bulletpointcount{
  font-family: "GT-Flexa-Standard-Bold";
  width: calc(var(--indentation) * 1px);
  display: inline-table;
}
.bulletPoints p{
  margin-bottom: 16px;
 }

 .indent1{
  margin-left: calc(var(--indentation) * 1px);
}
.indent2{
  margin-left: calc(var(--indentation) * 2px);
}
.indent3{
  margin-left: calc(var(--indentation) * 3px);
}
.indent4{
  margin-left: calc(var(--indentation) * 4px);
}
.indent5{
  margin-left: calc(var(--indentation) * 5px);
}
.indent6{
  margin-left: calc(var(--indentation) * 6px);
}
.indent7{
  margin-left: calc(var(--indentation) * 7px);
}
.indent8{
  margin-left: calc(var(--indentation) * 8px);
}
a {
  color: inherit;
}
button{
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}



.grid-col{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column-gap: 35px;
  }
.grid-row{
    display: grid;
    grid-template-rows: repeat(8, 1fr);
    grid-row-gap: 35px;
    /* mix-blend-mode: difference;
    color: white; */
  }

.mspace{
  margin-left: 10px;
}

.sticky{
  /* padding-top: 120px; */
  position: sticky;
  /* bottom: 0; */
  top: 0;

}

.empty{
  background-color: pink;
}
nav{
  position: fixed;
  top: 0;
  left: 0;
  font-family: "GT-Flexa-Standard-Bold";

  width: 100%;
  padding: var(--padding-side) var(--padding-top) ;
  color: white;
  mix-blend-mode: difference;
  font-weight: 100;

  /* background: var(--background-color); */
  z-index: 100;
}

/* nav ul li:nth-child(1) { --i: .1; }
nav ul li:nth-child(2) { --i: .2; }
nav ul li:nth-child(3) { --i: .3; }
nav ul li:nth-child(4) { --i: .4; } */

nav ul {
  grid-column: span 10;
  display: flex;
  justify-content: space-between;
}
nav ul li {
  display: flex;
  grid-column: span 3;
  font-size: 1.2rem;
  line-height: 1.083rem;
  text-wrap: nowrap;
  font-weight: 100;

  user-select: none;
  position: relative;
  /* overflow: hidden;
  width: 10px; */
}
.slideleft{
  /* animation: slideup .4s cubic-bezier(.19,.1,.22,1.11); */
  /* animation: slideup .8s ease; */
  /* animation-delay: calc(var(--i, 0) * 1s); */
  animation: slideleft .2s cubic-bezier(.19,.1,.22,.2);
  opacity: 0;
  animation-delay: calc(var(--i, 0) *2s);
  /* animation: slideleft .2s linear; */
  animation-fill-mode: forwards;
}
.slideup{
  /* animation: slideup .4s cubic-bezier(.19,.1,.22,1.11); */
  /* animation: slideup .8s ease; */
  /* animation-delay: calc(var(--i, 0) * 1s); */
  animation: slideup .2s cubic-bezier(.19,.1,.22,.2);
  opacity: 0;
  /* animation: slideup .2s linear; */
  animation-delay: calc(var(--i, 0) *2s);
  animation-fill-mode: forwards;
}
.delay1 { --i: .1; }
.delay2 { --i: .2; }
.delay3 { --i: .3; }
.delay4 { --i: .4; }
.delay5 { --i: .5; }
.delay6 { --i: .6; }

.lettersop{
  opacity: 0;
  animation: slide3 .4s linear;
  /* animation: slideright 1.3s cubic-bezier(.919,.1,.22,1.2); */

  animation-delay: calc(var(--i) * 4s);
  animation-fill-mode: forwards;
  user-select: none;
  position: relative;
}

@keyframes slide3 {
  from {
    opacity: 0;
    /* transform: rotate3d(2, -1, -1, .01turn); */
    /* transform: translate3d(-8px,-8px,0) rotate3d(10, -.11, -.1, .22turn); */
    /* transform: translate3d(-3px,-3px,0); */
    /* transform: translate3d(102px,0,0); */
    /* ? bouncy */
    /* transform: translate3d(-8px,-8px,0) rotate3d(0, -100.11, -.1, .22turn); */

    /* transform: translate3d(-10px,-10px,0) rotate3d(0,0,-20px); */
  }
  to {
    opacity: 1;
    /* transform: translate3d(0,0,0); */
    /* transform:  rotate3d(0,0,0); */
    /* transform: translate3d(0px,0,0) rotate3d(0,0,0); */
  }
}
@keyframes slideup {
  from {
    opacity: 0;
    /* transform: rotate3d(2, -1, -1, .01turn); */
    /* transform: translate3d(-8px,-8px,0) rotate3d(10, -.11, -.1, .22turn); */
    /* transform: translate3d(-3px,-3px,0); */
    transform: translate3d(0,11px,0) ;
    /* ? round turn*/
    /* transform: translate3d(0,5px,0) rotate3d(1, -.611, -21, .22turn); */
    /* ? bouncy */
    /* transform: translate3d(-8px,-8px,0) rotate3d(0, -100.11, -.1, .22turn); */

    /* transform: translate3d(-10px,-10px,0) rotate3d(0,0,-20px); */
  }
  to {
    opacity: 1;
    /* transform: translate3d(0,0,0) rotate3d(0,0,0,0); */
    transform: translate3d(0,0,0) ;
    /* transform:  rotate3d(0,0,0); */
    /* transform: translate3d(0px,0,0) rotate3d(0,0,0); */
  }
}
@keyframes slideleft {
  from {
    opacity: 0;
    /* transform: rotate3d(2, -1, -1, .01turn); */
    /* transform: translate3d(-8px,-8px,0) rotate3d(10, -.11, -.1, .22turn); */
    /* transform: translate3d(-3px,-3px,0); */
    transform: translate3d(-6px,0,0) ;
    /* ? round turn*/
    /* transform: translate3d(0,5px,0) rotate3d(1, -.611, -21, .22turn); */
    /* ? bouncy */
    /* transform: translate3d(-8px,-8px,0) rotate3d(0, -100.11, -.1, .22turn); */

    /* transform: translate3d(-10px,-10px,0) rotate3d(0,0,-20px); */
  }
  to {
    opacity: 1;
    /* transform: translate3d(0,0,0) rotate3d(0,0,0,0); */
    transform: translate3d(0,0,0) ;
    /* transform:  rotate3d(0,0,0); */
    /* transform: translate3d(0px,0,0) rotate3d(0,0,0); */
  }
}


li span{
  cursor: default;
}

li button:hover{
  opacity: 0.4;
}
.languages{
  color: rgb(95, 95, 95);
}
.lgselected{
  color: rgb(255, 255, 255);
}

canvas {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}

.sideButtons{
  position: fixed;
  right: 35px;
  font-family: "GT-Flexa-Standard-Bold";
  z-index: 10;
}
.sideButtons_wrapper{
  height: 100vh;
  padding: 35px 0;
}
.sideButtons ul{
  /* opacity: 0; */
}
.sideButtons .open{
  /* opacity: 1; */
  height: 100%;
  transition: all 1.9s cubic-bezier(.19,1,.22,1);
}

.sideButtons .close{
  transition: all .4s cubic-bezier(.55,.055,.675,.19);
  height: 100%;
}

.sideButtons ul{
  grid-row: 2 / span 6;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: start;
  gap: 10px;
  padding-left: 400px;
}
.sideButtons li{
  grid-row: span 3;
  color: var(--light-grey);
  font-size: 1.2rem;     /* 12pt */
  line-height: 1.083rem; /* 13pt */
  font-weight: 100;
  user-select:none;
  cursor: pointer;
  display: flex;
  /* padding:  10px 0 10px 10px; */
  align-items: flex-end;
}
.showword{
  transition: all .3s ease;
  width: 0;
  overflow: hidden;
  display: block;
  cursor: pointer;
}
.sideButtons:hover .showword{
  width: 50px;
}
.sideButtons li:nth-child(2){
  flex-basis: 0%;
  /* transition: all 2s cubic-bezier(.19,1,.22,1); */

  /* animation: animateFlex 1.3s cubic-bezier(.919,.1,.22,1.2);
  animation-delay: .5s;
  animation-fill-mode: forwards; */
}
.sideButtons li:nth-child(3){
  flex-basis: 0%;
  /* transition: all 2s cubic-bezier(.19,1,.22,1); */

  /* animation: animateFlex 1.3s cubic-bezier(.919,.1,.22,1.2);
  animation-delay: .5s;
  animation-fill-mode: forwards; */
}
.open .sideButtons li{
  flex-basis:100%
}
.sideButtons li:nth-child(3){
  flex-basis: 0%;

  /* animation: animateFlex 1.3s cubic-bezier(.919,.1,.22,1.2);
  animation-delay: .5s;
  animation-fill-mode: forwards; */
}
.sideButtons li:hover{
  color: black;
}
@keyframes animateFlex {
  60% {
    flex-basis: 0%;
  }
  100% {
    flex-basis: 100%;
  }
}

.selected {
  color: black !important; /* or any color you want */
  /* background-color: pink; */
}


section{
  grid-column: span 9;
  height:100vh;
  width: 100%;
  z-index: 1;
  padding: var(--padding-top) 0;
  scroll-snap-align: start;
  scroll-snap-stop: always;
  /* border-bottom: 1px solid #f00; */
}
/* Base states for delays */
[class*="delay"] {
  opacity: 0;
}

/* Base states for all elements within sections */
section [class*="delay"] {
  opacity: 0;
}

/* Animations for delay classes */
section.inview [class*="delay"] {
  animation-name: appear;
  animation-duration: .1s;
  animation-timing-function: cubic-bezier(.19,.1,.22,.2);
  animation-delay: calc(var(--i, 0) * 1.2s);
  animation-fill-mode: forwards;
}


/* Exit animations */
section:not(.inview) [class*="delay"] {
  animation-name: disappear;
  animation-duration: .3s;
  animation-timing-function: cubic-bezier(.55,.055,.675,.19);
  animation-fill-mode: forwards;
}

/* Delay classes */
.delay1 { --i: .1; }
.delay2 { --i: .2; }
.delay3 { --i: .3; }
.delay4 { --i: .4; }
.delay5 { --i: .5; }
.delay6 { --i: .6; }

@keyframes appear {
  0% { opacity: 0; }
  100% { opacity: 1; }
}

@keyframes disappear {
  0% { opacity: 1; }
  100% { opacity: 0; }
}

.section_row{
  grid-row:3 / span 5;
  top: -0.8rem;
  position: relative;
}
.empty{
  grid-row:span 2;
}
.intro_section{
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
}
.about_section{
  grid-column: span 9;
  /* top: -160px; */
  position: relative;
  align-content: flex-start;

  /* align-content: flex-end; */
}
.services_section{
  grid-column: span 9;
  /* position: relative; */
  /* top: -160px; */

  /* align-content: flex-end; */
}
.flexend{
  display: flex;
  flex-direction: column;
  justify-content: end;
}


.largeLogo{
  /* background-color: pink; */
  width: 50vw;
}
.logosvg{
  left: -0.6vw;
  top: 0.5vw;
  width: calc(100% + 1vw);
  position: relative;
  /* opacity: 0; */
  /* animation: slideright 1.3s cubic-bezier(.919,.1,.22,1.2);
  animation-delay: .5s;
  animation-fill-mode: forwards; */

}
@keyframes slideright {
  from {
    opacity: 0;
    transform: translate3d(-200px,0,0);
  }
  to {
    opacity: 1;
    transform: translate3d(0px,0,0);
  }
}

.contactAbbr{
  width: calc(var(--indentation) * 2px);
  display: inline-block;
}
.contactFooter{
  margin-top: 1rem;
}
@media (max-width: 1200px) {
  .officeHours{
    display: none;
  }

  nav ul li{
    display: flex;
    grid-column: span 4;
  }
}
  @media (max-width: 900px) {
  .grid{
     grid-template-columns: repeat(6, 1fr);
     grid-column-gap: 12px;
  }
  /* nav ul li{
    display: flex;
    grid-column: span 2;
  } */

}